internal::Wrapper< T >::_unwind_space Struct Reference
Collaboration diagram for internal::Wrapper< T >::_unwind_space:

## Public Member Functions

| _unwind_space (pointer_type p)
| ~_unwind_space ()

## Public Attributes

pointer_type | space

## Detailed Description

### template<typename T>
struct internal::Wrapper< T >::_unwind_space

Definition at line 453 of file _flow_graph_types_impl.h.

## Constructor & Destructor Documentation

## _unwind_space()

template<typename T>

internal::Wrapper< T >::_unwind_space::_unwind_space | ( | pointer_type | p | ) |

inline

Definition at line 455 of file _flow_graph_types_impl.h.

: space(p) {}

## ~_unwind_space()

template<typename T>

internal::Wrapper< T >::_unwind_space::~_unwind_space | ( |  | ) |

inline

Definition at line 456 of file _flow_graph_types_impl.h.

{
if(space) (void) new (space) Wrapper<default_constructed>(default_constructed());
}

References internal::Wrapper< T >::_unwind_space::space, and void.

## Member Data Documentation

## space

template<typename T>

pointer_type internal::Wrapper< T >::_unwind_space::space

Definition at line 454 of file _flow_graph_types_impl.h.

Referenced by internal::Wrapper< T >::CopyTo(), and internal::Wrapper< T >::_unwind_space::~_unwind_space().

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

void
void
Definition: ittnotify_static.h:91
internal::Wrapper::_unwind_space::space
pointer_type space
Definition: _flow_graph_types_impl.h:454
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.